%global githash 487503c2bce50a2b05d1a69bf1ac18a63c618bbb
Name:          jsonld-java-tools
Version:       0.7.0
Release:       1%{?dist}
Summary:       JSON-LD Java tools
License:       BSD
URL:           https://github.com/jsonld-java/jsonld-java-tools
Source0:       https://github.com/jsonld-java/jsonld-java-tools/archive/%{githash}/%{name}-%{githash}.tar.gz
Source1:       jsonld-java-tools.xml

BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: libxslt
BuildRequires: maven-local
BuildRequires: mvn(com.github.jsonld-java:jsonld-java)
BuildRequires: mvn(com.github.jsonld-java:jsonld-java-parent:pom:)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sf.jopt-simple:jopt-simple)
BuildRequires: mvn(org.openrdf.sesame:sesame-model)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-api)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-jsonld)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-nquads)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-ntriples)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-rdfjson)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-rdfxml)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-trig)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-trix)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-turtle)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
# Used by executable script
Requires:      mvn(log4j:log4j:1.2.17)

BuildArch:     noarch

%description
Tools for using JSONLD-Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :appassembler-maven-plugin

# Fix manifest entries
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin . "
<configuration>
  <archive>
    <manifest>
      <mainClass>com.github.jsonldjava.tools.Playground</mainClass>
    </manifest>
  </archive>
</configuration>"

%mvn_file :%{name} %{name}

%build

%mvn_build

xsltproc \
 --nonet --stringparam man.output.quietly 1 \
 --stringparam funcsynopsis.style ansi \
 --stringparam man.authors.section.enabled 0 \
 --stringparam man.copyright.section.enabled 0 \
 %{_datadir}/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl %{SOURCE1}

%install
%mvn_install

%jpackage_script com.github.jsonldjava.tools.Playground "" "" %{name}:jsonld-java:openrdf-sesame:log4j-1:slf4j/api:slf4j/log4j12:slf4j/jcl-over-slf4j:jackson-core:jackson-databind:httpcomponents/httpclient:httpcomponents/httpclient-cache:jopt-simple %{name} true

mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files -f .mfiles
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%doc README.md
%license LICENCE

%files javadoc -f .mfiles-javadoc
%license LICENCE

%changelog
* Thu Oct 01 2015 gil cattaneo <puntogil@libero.it> 0.7.0-1
- initial rpm
